<template>
  <div class="feed">
    <div v-if="getFeedStatus === 'LOADING'">
      Loading...
    </div>
    <div v-if="getFeedStatus === 'SUCCESS'">
      <gallery-list :contents="getFeedItems" />
    </div>
  </div>
</template>

<script>
import { mapActions, mapGetters } from "vuex";
import FeedTypes from "../store/Types";
import { GalleryList } from "../components";

export default {
  name: "feed",
  components: {
    "gallery-list": GalleryList
  },
  computed: mapGetters(Object.values(FeedTypes.Getters)),
  methods: mapActions(Object.values(FeedTypes.Actions)),
  created() {
    this.$store.dispatch(FeedTypes.Actions.loadFeed);
  }
};
</script>
